<%@ Page Language="C#" AutoEventWireup="true" CodeFile="1_PartialRendering.aspx.cs" Inherits="SimpleList_1_PartialRendering" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
    <title>Partial Rendering</title>
</head>
<body>
    <form id="f1" runat="server">
		<asp:ScriptManager ID="ScriptManager1" runat="server">
		</asp:ScriptManager>
    
    <div>
        <div id="top">
            &nbsp;
        </div>
        <div class="ContentContainer">
            <div id="header">
                <div id="ServerMessage">
                    <span class="controlLabel">Server Time:</span>
                    <asp:Label ID="TimerMessage" runat="server">n/a</asp:Label> <asp:Button ID="UpdateTimerMessageBtn" Text="Update" runat="server" />
                </div>
                <span class="title"><a href="Default.aspx">Simple List</a> &gt; Partial Rendering</span> 
            </div>
            <div class="tabs">
				<asp:UpdatePanel ID="UpdatePanel1" runat="server">
					<ContentTemplate>
						<span class="controlLabel">Show:</span>
						<asp:LinkButton ID="ActiveButton" Text="Active" CommandName="show" CommandArgument="0" OnCommand="Select_Command" runat="server" />
						<asp:LinkButton ID="CompletedButton" Text="Completed" CommandName="show" CommandArgument="1" OnCommand="Select_Command" runat="server" />
						<asp:LinkButton ID="AllButton" Text="All" CommandName="show" CommandArgument="-1" OnCommand="Select_Command" runat="server" />
						<span class="controlLabel leftSpace">Search:</span>
						<span id="SearchTab" runat="server">
							<asp:TextBox ID="SearchText" CssClass="filterdropdown" Width="150px" runat="server" />
							<asp:Button ID="SearchBtn" CssClass="topButtons" Text=" >> "
								CommandName="search" CommandArgument="-2" OnCommand="Select_Command" runat="server" />
						</span>
                	</ContentTemplate>
				</asp:UpdatePanel>
            </div>
            <div id="list">
				<asp:UpdatePanel ID="UpdatePanel2" runat="server">
					<ContentTemplate>
			
						<asp:GridView ID="ListGrid" BorderWidth="0px" AutoGenerateColumns="False" DataKeyNames="ListId"
							DataSourceID="ListDataSource" AllowPaging="True" AllowSorting="True" EnableViewState="False"
							GridLines="None" runat="server">
							<Columns>
								<asp:TemplateField ShowHeader="False">
									<EditItemTemplate>
										<asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="True" CommandName="Update"
											Text="Update"></asp:LinkButton>
										<asp:LinkButton ID="LinkButton2" runat="server" CausesValidation="False" CommandName="Cancel"
											Text="Cancel"></asp:LinkButton>
									</EditItemTemplate>
									<ItemTemplate>
										<asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="False" CommandName="Edit"
											Text="Edit"></asp:LinkButton>
										<asp:LinkButton ID="DeleteBtn" runat="server" CausesValidation="False" CommandName="Delete"
											Text="Delete"></asp:LinkButton>
									</ItemTemplate>
									<ControlStyle CssClass="buttons" />
									<HeaderStyle CssClass="commands" />
								</asp:TemplateField>
								<asp:BoundField DataField="Name" HeaderText="List" SortExpression="Name">
									<ControlStyle CssClass="name_edit" />
									<ItemStyle CssClass="name" />
									<HeaderStyle CssClass="name" />
								</asp:BoundField>
								<asp:TemplateField HeaderText="Priority" SortExpression="Priority">
									<EditItemTemplate>
										<asp:DropDownList ID="DropDownList1" Width="75" SelectedValue='<%# Bind("Priority") %>'
											runat="server">
											<asp:ListItem Text="High" Value="3" />
											<asp:ListItem Text="Medium" Value="2" />
											<asp:ListItem Text="Low" Value="1" />
										</asp:DropDownList>
									</EditItemTemplate>
									<ItemTemplate>
										<asp:Label ID="pri" Text='<%# FormatPriority((int) Eval("Priority")) %>' runat="server" />
									</ItemTemplate>
									<ItemStyle CssClass="priority" />
									<HeaderStyle CssClass="priority" />
								</asp:TemplateField>
								<asp:BoundField DataField="DateCreated" DataFormatString="{0:MM/dd/yyyy}" HtmlEncode="False"
									HeaderText="Started" ReadOnly="True" SortExpression="DateCreated">
									<ItemStyle CssClass="started" />
									<HeaderStyle CssClass="started" />
								</asp:BoundField>
								<asp:TemplateField HeaderText="Completed" SortExpression="IsComplete">
									<EditItemTemplate>
										<asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("IsComplete") %>' />
									</EditItemTemplate>
									<ItemStyle CssClass="iscomplete" />
									<HeaderStyle CssClass="iscomplete" />
									<ItemTemplate>
										<asp:Label ID="Done" Text='<%# FormatDone((bool) Eval("IsComplete")) %>' runat="server" />
									</ItemTemplate>
								</asp:TemplateField>
							</Columns>
							<EmptyDataTemplate>
								<span id="Empty">No lists</span>
							</EmptyDataTemplate>
						</asp:GridView>
					</ContentTemplate>
				</asp:UpdatePanel>
            </div>
            <div id="AddNew">
				<asp:UpdatePanel ID="UpdatePanel3" runat="server">
					<ContentTemplate>
						<span>Add New Item:</span>
						<asp:TextBox ID="AddItemTxt" CssClass="newitem" runat="server"></asp:TextBox>
						<asp:Button ID="AddListBtn" runat="server" OnClick="AddListBtn_Click" Text="Add" />
					</ContentTemplate>
				</asp:UpdatePanel>
                
            </div>
        </div>
    </div>
        
    <asp:SqlDataSource ID="ListDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:SimpleListsConnectionString %>"
        SelectCommand="SELECT ListId, Name, Priority, IsComplete, DateCreated
                    FROM Lists
                    WHERE (@IsComplete = -1) 
                        OR (@IsComplete in (0, 1) AND IsComplete = @IsComplete)
                        OR (@IsComplete = -2 AND Name LIKE '%' + @SearchText + '%')"
                 UpdateCommand="UPDATE Lists
                    SET Name=@Name, IsComplete=@IsComplete, Priority=@Priority
                    WHERE ListId = @ListId" 
                 DeleteCommand="DELETE FROM Lists WHERE ListId = @ListId">
        <SelectParameters>
            <asp:Parameter Name="IsComplete" Type="Int32" DefaultValue="0" />
            <asp:ControlParameter Name="SearchText" Type="string" ControlID="SearchText" 
                PropertyName="Text" ConvertEmptyStringToNull="false" />
        </SelectParameters>
    </asp:SqlDataSource>
                
    </form>
    <hr />
</body>
</html>

